Skip to main content
GET
/
messages
/
{messageId}
/
attachments
/
{attachmentId}
JavaScript
import Nuntly from '@nuntly/sdk';

const client = new Nuntly({
  apiKey: process.env['NUNTLY_API_KEY'],
});

const response = await client.messages.attachments.retrieve('messageId_value', 'attachmentId_value');
{
  "data": {
    "id": "<string>",
    "filename": "<string>",
    "contentType": "<string>",
    "size": 123,
    "contentDisposition": "<string>",
    "contentId": "<string>",
    "downloadUrl": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://nuntly.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

messageId
string
required
attachmentId
string
required

Response

Successful response.

data
object
required